org.apache.hadoop.hdfs.qjournal.protocol

## Interface QJournalProtocolProtos.JournalIdProtoOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    QJournalProtocolProtos.JournalIdProto, QJournalProtocolProtos.JournalIdProto.Builder
  Enclosing class:
    QJournalProtocolProtos

      public static interface QJournalProtocolProtos.JournalIdProtoOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getIdentifier()` `required string identifier = 1;`
    `com.google.protobuf.ByteString` | `getIdentifierBytes()` `required string identifier = 1;`
    `boolean` | `hasIdentifier()` `required string identifier = 1;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasIdentifier

          boolean hasIdentifier()

      `required string identifier = 1;`

    - #### getIdentifier

          String getIdentifier()

      `required string identifier = 1;`

    - #### getIdentifierBytes

          com.google.protobuf.ByteString getIdentifierBytes()

      `required string identifier = 1;`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.